Bug 215500 - irqbalance not handling multiple cores
irqbalance not handling multiple cores
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: irqbalance (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 07:49 EST by Anders Furuhed
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.13-7.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 08:03:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Furuhed 2006-11-14 07:49:30 EST
Description of problem:
irqbalance does not balance on multi-core box (Clovertown).

The problem goes away if I upgrade to
fedora/core/development/source/SRPMS/irqbalance-1.13-7.fc7.src.rpm

that has the following change log entry:
Wed Nov 08 2006 Neil Horman <nhorman@redhat.com> - 1.13-7
- fix up irqbalance to detect multicore (not ht) (bz 211183)

Version-Release number of selected component (if applicable):
irqbalance-1.13-6

How reproducible:


Steps to Reproduce:
1. Use multiple nics on a Clovertown box
2. Load the interfaces
3.
  
Actual results:
grep eth /proc/interrupts
 66:     940948          0        334          0          0          0         
0          0         PCI-MSI  eth0
 74:     928654          0          0        334          0          0         
0          0         PCI-MSI  eth3
 82:    1041671          0          0          0          0          0         
0          0         PCI-MSI  eth4
 90:     974421        334          0          0          0          0         
0          0         PCI-MSI  eth5

Expected results:
Something along the lines (similar box running RHEL4U4)
50:       1015          0          0          0    1200092          0          0
         0         PCI-MSI  eth3
 66:   48051768          0          0          0          0          0         
0          0         PCI-MSI  eth8
217:       1022   18005498          0          0          0          0         
0          0         PCI-MSI  eth0
225:       1020          0   12643210          0          0          0         
0          0         PCI-MSI  eth1
233:       1018          0          0   12100448          0          0         
0          0         PCI-MSI  eth2

Additional info:
Comment 1 Neil Horman 2006-11-14 08:03:11 EST
This same change is to be picked up in the latest version or irqbalance for el5

Note You need to log in before you can comment on or make changes to this bug.